> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paylead.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the affiliation Cashbacks bound to an invoicing_cycle

> Lists the Affiliation Rewards per consumer filtered by invoicing cycle.



## OpenAPI

````yaml /program/api/openapi/legacy/1.1.3/m2m.json get /connectors/m2m/ventilations/rewards/affiliation/{invoicing_cycle}
openapi: 3.0.2
info:
  title: PayLead API
  version: 1.1.3
servers:
  - url: https://api.sandbox.paylead.tech
security:
  - ApiKeyAuth: []
paths:
  /connectors/m2m/ventilations/rewards/affiliation/{invoicing_cycle}:
    get:
      tags:
        - Cashback
      summary: Get the affiliation Cashbacks bound to an invoicing_cycle
      description: Lists the Affiliation Rewards per consumer filtered by invoicing cycle.
      operationId: get.AffiliationVentilationCsvResource
      parameters:
        - in: path
          name: invoicing_cycle
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            text/csv:
              example: AffiliationVentilationFile
              schema:
                type: string
          description: OK
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Not allowed to access the resource
        '404':
          description: Not found
        '405':
          description: Method not allowed
        '422':
          description: Unprocessable Entity
components:
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````